summaryrefslogtreecommitdiff
path: root/development/racer/racer.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/racer/racer.SlackBuild')
-rw-r--r--development/racer/racer.SlackBuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/development/racer/racer.SlackBuild b/development/racer/racer.SlackBuild
index 66ec6f56d6..3efa0fdb48 100644
--- a/development/racer/racer.SlackBuild
+++ b/development/racer/racer.SlackBuild
@@ -146,10 +146,16 @@ find -L . \
ln -s /usr/bin/rustup rustc
)
+RUST_NIGHTLY=${RUST_NIGHTLY:-nightly-2022-01-14}
+
+if ! rustup toolchain list | grep "$RUST_NIGHTLY" > /dev/null 2>&1 ; then
+ rustup toolchain install --component rustc-dev --profile default "$RUST_NIGHTLY"
+fi
+
PATH="$(pwd)/rustup-bin:$PATH" \
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-rustup run nightly-2022-01-14 cargo build --release $CARGOTARGET
+rustup run "$RUST_NIGHTLY" cargo build --release $CARGOTARGET
mkdir -p $PKG/usr/bin/